Package Details: python2-pandoc-imagine 0.1.6-1

Git Clone URL: https://aur.archlinux.org/python-pandoc-imagine.git (read-only, click to copy)
Package Base: python-pandoc-imagine
Description: Imagine is a pandoc filter that will turn codeblocks tagged with certain classes into images or ascii art..
Upstream URL: https://github.com/hertogp/imagine
Keywords: pandoc
Licenses: MIT
Submitter: nicoulaj
Maintainer: nicoulaj
Last Packager: nicoulaj
Votes: 1
Popularity: 0.000000
First Submitted: 2017-09-12 17:41
Last Updated: 2020-01-18 17:01

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

m040601 commented on 2019-12-03 08:27

First of all thank you for your work maintaining this.

Could I please request that you split the package ? providing 2 separate AUR packages, a python-pandoc-imagine, and a python2-pandoc-imagine

I know it is a little bit more of work to you. But The idea that AUR packages should build both is at odds with me. Is there really a large user base of python2-pandoc-imagine ? I'd be wasting cycles/bandwidth/power with a package I never required, python2. Yes, I know thatmakepkg -sr will uninstall it afterwards...

I also don't want to submit a spinoff python3 package" , that is in violation of the AUR guidelines (1)

  1. https://bbs.archlinux.org/viewtopic.php?id=229188
  2. https://bbs.archlinux.org/viewtopic.php?id=213193

nicoulaj commented on 2019-11-27 17:35

This is a split package, hence the build time dependencies. Please only use "flag as out of date" for flagging as out of date.

m040601 commented on 2019-11-24 23:11

Please remove the python2 dependencies.

See here, https://github.com/hertogp/imagine/issues/14

QUESTION: is python2 required ? ANSWER: No, imagine works with both python2.7+ and python3.